Texa DeskDevelopers

Texa Desk Application API · Inboxes

List WhatsApp message templates

GET/api/v1/accounts/{account_id}/inboxes/{id}/message_templates

List the cached message templates available for a native or Twilio WhatsApp inbox

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idnumberrequired

ID of the native or Twilio WhatsApp inbox

Query parameters

namestring

Exact template name to filter by

Responses

200

Success

payloadarray of object

Native or Twilio WhatsApp message templates available for the inbox

metaobject
meta.last_sync_attempt_atstring (date-time)

Time when template synchronization was last attempted

404

Inbox not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
422

The inbox is not a WhatsApp inbox

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring